%define upstream_name    Test-Block
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Specify fine granularity test plans
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::Builder) >= 0.170.0
BuildRequires: perl(Test::Builder::Tester) >= 1.10.0
BuildRequires: perl(Test::Exception) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
This module allows you to specify the number of expected tests at a finer
level of granularity than an entire test script. It is built with the
Test::Builder manpage and plays happily with the Test::More manpage and
friends.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Test

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 373364
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 201013
- update to 0.13

* Fri Jan 21 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 28779
- mageia rebuild
- imported package perl-Test-Block

